Bug 459944 - (pfstools) Review Request: pfstools - Programs for handling high-dynamic range images
Review Request: pfstools - Programs for handling high-dynamic range images
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459945 459946
  Show dependency treegraph
 
Reported: 2008-08-24 22:54 EDT by Ulrich Drepper
Modified: 2009-01-07 04:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:25:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
modified spec (5.66 KB, text/x-rpm-spec)
2008-09-03 11:41 EDT, manuel wolfshant
no flags Details

  None (edit)
Description Ulrich Drepper 2008-08-24 22:54:46 EDT
Spec URL: http://people.redhat.com/drepper/pfstools.spec
SRPM URL: http://people.redhat.com/drepper/pfstools-1.6.5-1.fc9.src.rpm
Description:

pfstools is a set of command line and GUI programs for reading,
writing, manipulating and viewing high-dynamic range (HDR) images and
video frames. All programs in the package exchange data using unix
pipes and a simple generic HDR image format (pfs). The concept of the
pfstools is similar to netpbm package for low-dynamic range images.

The RPM is split into a number of subpackages to avoid pulling in dependencies.
Comment 1 Ulrich Drepper 2008-09-03 10:27:28 EDT
Anybody going to volunteer?
Comment 2 Rakesh Pandit 2008-09-03 11:06:54 EDT
Expect a review soon.
Comment 3 manuel wolfshant 2008-09-03 11:16:27 EDT
There are rpm build errors:
RPM build errors:
    File not found: /builddir/build/BUILDROOT/pfstools-1.6.5-2.fc10.x86_64/usr/bin/pfsinppm
    File not found: /builddir/build/BUILDROOT/pfstools-1.6.5-2.fc10.x86_64/usr/bin/pfsoutppm
--> these two files do not seem to be built

    File listed twice: /usr/libexec/octave/3.0.1/site/oct/x86_64-redhat-linux-gnu/pfstools/pfsclose.oct
    File listed twice: /usr/libexec/octave/3.0.1/site/oct/x86_64-redhat-linux-gnu/pfstools/pfsget.oct
    File listed twice: /usr/libexec/octave/3.0.1/site/oct/x86_64-redhat-linux-gnu/pfstools/pfsopen.oct
    File listed twice: /usr/libexec/octave/3.0.1/site/oct/x86_64-redhat-linux-gnu/pfstools/pfsput.oct
    File listed twice: /usr/libexec/octave/3.0.1/site/oct/x86_64-redhat-linux-gnu/pfstools/pfsread.oct
    File listed twice: /usr/libexec/octave/3.0.1/site/oct/x86_64-redhat-linux-gnu/pfstools/pfstransform_colorspace.oct
    File listed twice: /usr/libexec/octave/3.0.1/site/oct/x86_64-redhat-linux-gnu/pfstools/pfswrite.oct
--> %{_libexecdir}/octave/*/site/oct/*/pfstools/*.oct must be removed
Comment 4 manuel wolfshant 2008-09-03 11:39:33 EDT
The missing files are built if netpbm-devel is added as BR.

There are also a couple of other issues:
rpmlint of pfstools-glview:
pfstools-glview.x86_64: W: summary-ended-with-dot GL-based viewer for HDR files.
pfstools-glview.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsglview ['/usr/lib64']

rpmlint of pfstools-imgmagick:
pfstools-imgmagick.x86_64: W: summary-ended-with-dot ImageMagick file import for PFS tools.
pfstools-imgmagick.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsinimgmagick ['/usr/lib64']
pfstools-imgmagick.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsoutimgmagick ['/usr/lib64']

rpmlint of pfstools-octave:
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_write_rgb.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_read_luminance.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_close_frames.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfsview.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfsview_rgb.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_read_rgb.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_read_xyz.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_open_frames.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfsview_list.m
pfstools-octave.x86_64: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfssize.m
pfstools-octave.x86_64: W: summary-ended-with-dot Octave interaction with PFS tools.

rpmlint of pfstools-devel:
pfstools-devel.x86_64: W: no-documentation
pfstools-devel.x86_64: W: no-dependency-on pfstools/pfstools-libs/libpfstools
pfstools-devel.x86_64: W: summary-ended-with-dot Files for development with PFS tools.

rpmlint of pfstools-exr:
pfstools-exr.x86_64: W: summary-ended-with-dot EXR file import for PFS tools.
pfstools-exr.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsoutexr ['/usr/lib64']
pfstools-exr.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsinexr ['/usr/lib64']

rpmlint of pfstools-qt:
pfstools-qt.x86_64: W: summary-ended-with-dot Qt-based viewer for HDR files.
pfstools-qt.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsview ['/usr/lib64']

rpmlint of pfstools-libs:
pfstools-libs.x86_64: W: no-documentation
pfstools-libs.x86_64: W: summary-ended-with-dot Libraries for HDR processing.
pfstools-libs.x86_64: W: invalid-license LGPLv2.1

rpmlint of pfstools:
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsflip ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsabsolute ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsextractchannels ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfspad ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsoutpfm ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfssize ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsclamp ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsrotate ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfspanoramic ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsoutppm ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsouttiff ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsinpfm ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsgamma ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfscut ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsinrgbe ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsoutrgbe ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsinppm ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfsintiff ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfscat ['/usr/lib64']
pfstools.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/pfstag ['/usr/lib64']


In addition to the above, some packages seem to include GUI tools, so desktop file[s] should be provided and you have forgottem to package the license file.
Comment 5 manuel wolfshant 2008-09-03 11:41:17 EDT
Created attachment 315654 [details]
modified spec

this spec fixes the missing BRs, removes some duplicate files and preserves timestamps
Comment 6 Rakesh Pandit 2008-09-03 11:55:21 EDT
@Ulrich

As soon as you update srpm on above issues. I will start my review.
Thanks,
Comment 7 Ulrich Drepper 2008-09-08 01:09:08 EDT
I've updated the SPEC file with the proposed changes and a few more.
Comment 8 Rakesh Pandit 2008-09-08 01:28:08 EDT
May you upload your srpm also?
Comment 9 Ulrich Drepper 2008-09-08 01:53:47 EDT
There is a new file:

  http://people.redhat.com/drepper/pfstools-1.6.5-2.fc9.src.rpm
Comment 10 Rakesh Pandit 2008-09-10 04:11:39 EDT
rpmlint is still not clean. May you explain, if there are certain warnings which you are really ignoring and why ?

Thanks,


[rpmbuild@rocky i386]$ rpmlint -i pfstools-libs-1.6.5-2.fc9.i386.rpm 
pfstools-libs.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

pfstools-libs.i386: W: invalid-license LGPLv2.1


[rpmbuild@rocky i386]$ rpmlint pfstools-octave-1.6.5-2.fc9.i386.rpm 
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_write_rgb.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_read_luminance.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_read_xyz.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_close_frames.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfsview.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfsview_rgb.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_read_rgb.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfs_open_frames.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfsview_list.m
pfstools-octave.i386: E: script-without-shebang /usr/share/octave/3.0.1/site/m/pfstools/pfssize.m
1 packages and 0 specfiles checked; 10 errors, 0 warnings.


[rpmbuild@rocky i386]$ rpmlint -i pfstools-devel-1.6.5-2.fc9.i386.rpm 
pfstools-devel.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

pfstools-devel.i386: W: no-dependency-on pfstools/pfstools-libs/libpfstools
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 11 Rakesh Pandit 2008-09-10 04:12:33 EDT
Package builds successfully. Waiting for update on above comment.
Thanks,
Comment 12 Rakesh Pandit 2008-09-29 05:43:35 EDT
ping
Comment 13 Ulrich Drepper 2008-09-29 10:32:42 EDT
I've been travelling the last weeks.  Will get to it ASAP.
Comment 14 Ulrich Drepper 2008-10-12 14:41:37 EDT
I've uploaded a new .spec file and .src.rpm.  Sorry for the delay, too many things happening at the same time.

http://people.redhat.com/drepper/pfstools-1.6.5-3.fc9.src.rpm
http://people.redhat.com/drepper/pfstools.spec

When I run rpmlint I still get some warning:

$ rpmlint -i RPMS/x86_64/pfstools*-1.6.5-3.fc9.x86_64.rpm pfstools-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

pfstools-libs.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

9 packages and 0 specfiles checked; 0 errors, 2 warnings.



These should be fine.  The documentation files for the -libs and -devel package are the same as for the main package.  No need to duplicate them.
Comment 15 Rakesh Pandit 2008-10-22 12:13:14 EDT
I had to been shifting to another place ... sorry for delay on my side ... I will get back to it in a day with complete review.
Comment 16 Rakesh Pandit 2008-10-22 15:08:49 EDT
Fails build
http://koji.fedoraproject.org/koji/taskinfo?taskID=896281 


[rpmbuild@rocky i386]$ rpmls * | grep faq
[rpmbuild@rocky i386]$ rpmls * | grep pfs_format_spec.pdf
[rpmbuild@rocky i386]$ 

documentation is still now included. Please updated with doc folder funde installed. rpmlint tells me some packages need docu.
Comment 17 Rakesh Pandit 2008-10-22 15:10:13 EDT
*now=>not, updated=>update, funde=>files
*tpyo erorr, I am durnck ;-)
Comment 18 Rakesh Pandit 2008-11-04 01:34:59 EST
ping
Comment 19 Ulrich Drepper 2008-11-05 12:54:07 EST
[I'm traveling again...]

(In reply to comment #17)
> *now=>not, updated=>update, funde=>files
> *tpyo erorr, I am durnck ;-)

Not a good to refer to kajo data, it gets removed at ta short while.  I didn't see it.

Re the documentation: I added some more files but they really are not necessary.  As I said before, it's stupid on rpmlint's part to insist on doc files for all these packages.  The -libs subpackage still doesn't have any but this is just fine.  There is nothing to say.  Anybody who needs to know more will find the main package, pfstools, and read the docs there.

Find the latest srpm and spec file here:

http://people.redhat.com/drepper/pfstools-1.6.5-4.fc9.src.rpm
http://people.redhat.com/drepper/pfstools.spec
Comment 20 Rakesh Pandit 2008-11-05 20:53:54 EST
I never did a complete review. It failed at that time, to build.

Reason:

+ /bin/cat /builddir/build/SOURCES/pfstools-mDATA.patch
+ /usr/bin/patch -s -p1 -b --suffix .mDATA --fuzz=0
+ aclocal
/var/tmp/rpm-tmp.DDk9s1: line 41: aclocal: command not found
error: Bad exit status from /var/tmp/rpm-tmp.DDk9s1 (%prep)
RPM build errors:


Misses buildrequire automake. I will do a complete review shortly.

Thanks,
Comment 21 Rakesh Pandit 2008-12-06 09:14:27 EST
APPROVED

fix the missing buildrequire.
Comment 22 Ulrich Drepper 2009-01-02 13:58:09 EST
I've added the one BuildRequres.  This means I should be ready to uild it for the distribution.  Thanks for the review.

http://people.redhat.com/drepper/pfstools-1.6.5-5.fc10.src.rpm
http://people.redhat.com/drepper/pfstools.spec
Comment 23 Ulrich Drepper 2009-01-02 14:00:06 EST
New Package CVS Request
=======================
Package Name: pfstools
Short Description: Programs for handling high-dynamic range images
Owners: drepper@redhat.com
Branches: F-9 F-10 F-11
InitialCC:
Comment 24 Ulrich Drepper 2009-01-02 16:32:09 EST
I've updated to the most recent upstream release:

http://people.redhat.com/drepper/pfstools-1.7.0-1.fc10.src.rpm
http://people.redhat.com/drepper/pfstools.spec

One more subpackage is build and I added the appropriate new BuildRequires.
Comment 25 Kevin Fenzi 2009-01-04 15:36:33 EST
cvs done.
Comment 26 Fedora Update System 2009-01-05 15:17:52 EST
pfstools-1.7.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pfstools-1.7.0-2.fc9
Comment 27 Fedora Update System 2009-01-05 15:17:57 EST
pfstools-1.7.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pfstools-1.7.0-2.fc10
Comment 28 Fedora Update System 2009-01-07 04:25:55 EST
pfstools-1.7.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2009-01-07 04:37:47 EST
pfstools-1.7.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.